%define upstream_name    Sub-Exporter-GlobExporter
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Export shared globs with Sub::Exporter collectors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 02 2023 tv <tv> 0.6.0-1.mga9
+ Revision: 1928877
- update to 0.006

* Sun Mar 20 2022 umeabot <umeabot> 0.5.0-5.mga9
+ Revision: 1805792
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-4.mga8
+ Revision: 1497224
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-3.mga7
+ Revision: 1271247
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-2.mga6
+ Revision: 1033497
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.5.0-1.mga6
+ Revision: 923924
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 744091
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 733435
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 686265
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 585122
- update to 0.004

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 525987
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.3.0-1.mga4
+ Revision: 435087
- update to 0.003

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 372886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 32403
- mageia rebuild
- imported package perl-Sub-Exporter-GlobExporter

